<template functional>
  <div
    :ref="data.ref"
    class="flex flex-col items-center lg:items-start"
    :class="[data.class, data.staticClass]"
    :style="[data.style, data.staticStyle]"
    v-bind="data.attrs"
    v-on="listeners"
  >
    <template v-for="(item, index) in props.items">
      <hyper-link :key="index" :to="$options.methods.path(item)">
        {{ item.value }}
      </hyper-link>
    </template>
  </div>
</template>

<script>
export default {
  name: 'FooterContactArea',
  props: {
    items: { type: Array, default: () => [] },
  },
  methods: {
    path(item) {
      if (item.id === 'telf') {
        return `tel:${item.value}`;
      }
      if (item.id === 'email') {
        return `mailto:${item.value}`;
      }
      return '#';
    },
  },
};
</script>
